# $Revision: 1.31 $, $Date: 2010/04/08 08:26:42 $
#
# Conditional build:
%bcond_without	tests	# do not perform "./Build test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Module
%define		pnam	Build
Summary:	Module::Build - build and install Perl modules
Summary(pl.UTF-8):	Module::Build - budowanie i instalowanie modułów Perla
Name:		perl-Module-Build
Version:	0.3607
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9dbbbed68e80e28a9e9f3ab5512a6dab
Patch0:		%{name}-startperl.patch
URL:		http://search.cpan.org/dist/Module-Build/
BuildRequires:	perl(File::Spec) >= 0.82
%if %{with tests}
BuildRequires:	perl-ExtUtils-CBuilder >= 0.15
BuildRequires:	perl-ExtUtils-ParseXS >= 1.02
BuildRequires:	perl-YAML > 0.49_01
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module::Build is a Perl module to build and install Perl modules. It
is meant to be a replacement for ExtUtils::MakeMaker.

%description -l pl.UTF-8
Module::Build to moduł Perla do budowania i instalowania modułów
Perla. Ma być zamiennikiem ExtUtils::MakeMaker.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/config_data
%{perl_vendorlib}/Module/Build.pm
%dir %{perl_vendorlib}/Module/Build
%{perl_vendorlib}/Module/Build/*.pm
%dir %{perl_vendorlib}/Module/Build/Platform
%{perl_vendorlib}/Module/Build/Platform/Unix.pm
%{_mandir}/man1/config_data.1*
%{_mandir}/man3/Module::Build.*
%{_mandir}/man3/Module::Build::PP*
%{_mandir}/man3/Module::Build::[!P]*
%{_mandir}/man3/Module::Build::Platform::Unix*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Module-Build.spec,v $
Revision 1.31  2010/04/08 08:26:42  lisu
- up to 0.3607

Revision 1.30  2010/02/15 15:01:19  sparky
- Epoch: 1 (because 0.340201 > 0.3603)

Revision 1.29  2010/02/15 10:30:18  lisu
- new Soruce0 URL

Revision 1.28  2010/02/15 10:10:14  lisu
- updated to 0.3601

Revision 1.27  2009/08/27 07:25:24  amateja
- updated to 0.340201

Revision 1.26  2007/04/30 11:34:32  radek
- version 0.2808

Revision 1.25  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:49:41  baggins
- converted to UTF-8

Revision 1.23  2006/12/22 11:35:59  qboosh
- updated to 0.2806, updated startperl patch
- BRs needed to test optional functionality

Revision 1.22  2005/07/18 11:17:25  radek
- version 0.2611

Revision 1.21  2005/06/04 07:55:24  radek
- version 0.2610

Revision 1.20  2005/05/12 15:26:39  adamg
- relase 3 for Th (by mistake -2 was sent to Ac and Th)

Revision 1.19  2005/05/11 19:03:27  adamg
- release 2 for Th

Revision 1.18  2004/12/27 17:32:10  darekr
- updated to 0.2607

Revision 1.17  2004/12/12 10:53:01  adamg
- updated to 0.2606

Revision 1.16  2004/12/01 21:24:58  radek
- version 0.2605; NOTE: -startperl.patch needs a review, one test fails

Revision 1.15  2004/11/03 22:30:35  paladine
- formatting

Revision 1.14  2004/05/11 22:21:11  radek
- release 5: added -startperl.patch

Revision 1.13  2004/05/07 00:38:12  ankry
- rel. 4

Revision 1.12  2004/05/06 18:43:19  ankry
- fixed perl-devel BR

Revision 1.11  2004/05/05 13:34:05  blues
- release 3

Revision 1.10  2004/04/26 13:07:53  ankry
- typo

Revision 1.9  2004/04/26 06:12:40  adamg
- updated to 0.25

Revision 1.8  2004/04/24 15:40:27  ankry
- reversed

Revision 1.7  2004/04/24 14:52:15  ankry
- license fixes / unification

Revision 1.6  2004/03/07 11:07:20  adamg
- updated to 0.24

Revision 1.5  2004/02/05 23:05:33  migo
- up to 0.22

Revision 1.4  2003/10/24 23:59:22  qboosh
- added config patch - now config='var=val' works as documented, e.g.
  we can pass config='optimize=%%{rpmcflags}'
- release 2

Revision 1.3  2003/10/21 11:55:48  migo
- up to 0.21
- new bcond style
- cosmetics

Revision 1.2  2003/09/27 11:31:00  migo
- up to 0.20
- don't include Module::Build::Platform::* manuals

Revision 1.1  2003/06/11 13:14:56  qboosh
- new
